# OgreResource.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreString.h"`
`#include "OgreSharedPtr.h"`
`#include "OgreStringInterface.h"`
`#include "OgreAtomicWrappers.h"`

Go to the source code of this file.

## Classes

class | Ogre::Resource
| Abstract class representing a loadable resource (e.g. More...
class | Ogre::Resource::Listener
class | Ogre::ManualResourceLoader
| Interface describing a manual resource loader. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef unsigned long long int | Ogre::ResourceHandle
typedef SharedPtr< Resource > | Ogre::ResourcePtr
| Shared pointer to a Resource.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52